using HotelContracts.BindingModels;
using HotelContracts.SearchModels;
using HotelContracts.ViewModels;

namespace HotelContracts.BusinessLogicsContracts;

public interface ICleaningLogic
{
    List<CleaningViewModel>? ReadList(CleaningSearchModel? model);
    CleaningViewModel? ReadElement(CleaningSearchModel model);
    bool Create(CleaningBindingModel model);
    bool Update(CleaningBindingModel model);
    bool Delete(CleaningBindingModel model);
}